﻿local NAME, addon = ...
local L = addon.L.config

local directions = {
	{ value = 'up', text = 'Up' },
	{ value = 'down', text = 'Down' }
}

addon.config = {
	panel_index = {
		'options'
	},
	panel_structure = {
		options = {
			left = {
				{
					'roll_anchor',
					'roll_direction',
					'roll_scale',
				},
				{
					'watch_anchor',
					'watch_enable',
					'watch_direction',
					'watch_scale',
				}
			},
			right = {
				{
					'general',
					'text_outline'
				}
			}
		}
	},
	options = {
		text_outline = {
			type = 'toggle',
		},
		roll_scale = {
			type = 'range',
			min = 0.1,
			max = 2.0,
			step = 0.1,
			key = 'roll_anchor',
			subkey = 'scale',
			text = L.scale,
			text_low = L.small,
			text_high = L.large
		},
		roll_direction = {
			type = 'select',
			items = directions,
			key = 'roll_anchor',
			subkey = 'direction',
			text = L.direction
		},
		watch_enable = {
			type = 'toggle',
			text = ENABLE
		},
		watch_scale = {
			type = 'range',
			min = 0.1,
			max = 2.0,
			step = 0.1,
			key = 'watch_anchor',
			subkey = 'scale',
			text = L.scale,
			text_low = L.small,
			text_high = L.large
		},
		watch_direction = {
			type = 'select',
			items = directions,
			key = 'watch_anchor',
			subkey = 'direction',
			text = L.direction
		}
	}
}